[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.Loaded

Performs actions needed after the control is loaded using LCL component streaming.

## Declaration

Source position: stdctrls.pp line 1351

`protected procedure TCustomCheckBox.Loaded; override;`

## Description

Loaded is an overridden method in TCustomCheckBox. Loaded ensures that the value in State is passed to the widgetset class when a handle has been allocated for the control. This prevents loss of the stored value in State during component streaming. The inherited method is called prior to exit.

## See also

TCustomCheckBox.State |  | The check, unchecked, or grayed state for the control.
TWinControl.Loaded |  | Performs actions when a component has been loaded during LCL streaming.